
QGIS Application - Bug report #2243

Not accurate  extent frame in map overview

2009-12-10 01:52 AM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 12303

Description

If map overview is turned on and docked, the red extent frame is usually not accurate, i.e. either top/bottom bounds are missing until you

start resizing.

Minor issue of course, but still.

Example: http://gis-lab.info/images/screenshots/20091205-kn6-11kb.jpg

History

#1 - 2009-12-10 12:33 PM - Giovanni Manghi

Are you sure that are "missing"? It seems to me that if enlarge width/height of the overview box than the lines do show in the right place.

By the way, other overview issues are: #2181 #2166 #1449

#2 - 2009-12-12 08:39 AM - Steven Mizuno

I believe the extent frame is operating correctly. The main intent of the frame is to show what area in the full map data is currently being displayed on the

main map when zoomed in.

These are some factors that affect the display position of the rectangle:

1. Aspect ratio of the Overview vs. main map canvas.

2. the Overview shows the full extent exactly for all active layers (within its aspect ratio), but the zoom full extent actually puts a 5% additional buffer so the

data are not right on the edge of the map. This will cause the rectangle to be outside the overview if both canvases have the same aspect ratio.

3. The small matter of + or - one pixel due to conversion of floating point values to integer.

A better test is to zoom in until the rectangle is the smallest size it can be, then positioning the rectangle over a feature on the map. That feature will be

displayed on the main map.

#3 - 2011-03-14 04:16 PM - Mayeul Kauffmann

In the example http://trac.osgeo.org/qgis/attachment/ticket/2243/wrong_overview.png, the overview is almost correct if I pan near the North of the areao of

interest (Monaca). The more I go in the south, the more it is wrong. Having the pane docked or floating does not change anything.
#4 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2017-05-01 12:58 AM - Giovanni Manghi

- Regression? set to No

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#9 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
